package main

import (
	"log"
	"net/http"
	"os"
)

func serveVideo(w http.ResponseWriter, r *http.Request) {
	filePath := "files/111.mp4"

	// Открытие запрашиваемого файла
	file, err := os.Open(filePath)
	if err != nil {
		http.Error(w, err.Error(), http.StatusInternalServerError)
		log.Fatalln("Ошибка открытия файла: ", err)
		return
	}
	defer func() {
		err = file.Close()
		if err != nil {
			http.Error(w, err.Error(), http.StatusInternalServerError)
			log.Fatalln("Ошибка закрытия файла: ", err)
			return
		}
	}()

	w.Header().Set("Content-Type", "video/mp4")
	// Разрешаем частичную загрузку (поддержка перемотки)
	w.Header().Set("Accept-Ranges", "bytes")

	http.ServeFile(w, r, filePath)
}
